package action;
import java.util.List;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.RequestDispatcher;
import java.io.IOException;
import javax.ejb.EJB;
import session.SessionBeanInterface;

public class UserController extends HttpServlet
{
	
	@EJB(name = "sessionBean") 
	private SessionBeanInterface sb; 

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException 
	{
		processRequest(request, response);
	}

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException 
	{
		processRequest(request, response);
	}

	protected void processRequest(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException 
	{
		RequestDispatcher dispatcher;
		dispatcher = req.getRequestDispatcher("users.jsp");
		try
		{
			req.setAttribute("Model",sb.sayHi(req.getParameter("str")));
			dispatcher.forward(req,res);
		}
		catch(Exception exc)
		{
			System.out.println("From UserController processRequest: "+exc.toString());
		}		
	}
}
